.community-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 24px;
    margin-top: 48px;
}

.community-card {
    display: flex;
    align-items: flex-end;
    min-height: 180px;
    padding: 24px;

    border: 1px solid rgba(0, 234, 255, 0.15);
    border-radius: 3px;
    background: linear-gradient(180deg, rgba(6, 16, 84, 0.3), rgba(255, 255, 255, 0.01));

    box-shadow: 0 0 30px rgba(0, 234, 255, 0.08);

    text-decoration: none;
    color: inherit;

    transition:
        transform 0.2s ease,
        border-color 0.2s ease,
        box-shadow 0.2s ease;

    p {
        margin: 0;
        font-size: 16px;
    }

    h3 {
        margin-bottom: 12px;
    }
}

.community-card:hover {
    transform: translateY(-2px);
    border-color: #00eaff;
    box-shadow: 0 0 20px rgba(0, 234, 255, 0.1);
    background: linear-gradient(180deg, rgba(6, 16, 84, 0.7), rgba(255, 255, 255, 0.01));

    h3 {
        text-shadow:
            0 0 10px #ff950077,
            0 0 20px #ff950055;
    }
}

.discord {
    color: #7d3eba;
    grid-column: span 2;
    text-shadow:
        0 0 5px #ff00ee30,
        0 0 10px #ff00ea24;
}

.steam {
    color: #5f9aff;
    grid-column: span 2;
    text-shadow:
        0 0 5px #5f9aff5c,
        0 0 10px #5f9aff47;
}

.youtube {
    color: #c90043;
    grid-column: span 4;
    text-shadow:
        0 0 5px #c9004381,
        0 0 10px #c9004330;
}

.linktree {
    color: #00ff9d;
    grid-column: span 2;
    text-shadow:
        0 0 5px #00ff9d4e,
        0 0 10px #00ff9d5e;
}

@media (max-width: 500px) {
    .community-grid {
        display: grid;
        grid-template-columns: 1fr;
        gap: 24px;
        margin-top: 48px;
    }

    .community-card {
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 180px;
        padding: 24px;
    }

    .discord {
        grid-column: span 1;
    }

    .steam {
        grid-column: span 1;
    }

    .youtube {
        grid-column: span 1;
    }

    .linktree {
        grid-column: span 1;
    }
}
